feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Frontend.Select

Synopsis

- select :: (Eq a, Syntax b) => Data a -> [(Data a, b)] -> b -> b

# Documentation

select :: (Eq a, Syntax b) => Data a -> [(Data a, b)] -> b -> b

Select between the cases based on the value of the scrutinee. TODO: This implementation should be replaces by a proper construct